#
# spec file for package xeyes
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xeyes
Version:        1.3.0
Release:        1.5
Summary:        A follow the mouse X demo
License:        X11
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrender) >= 0.4
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
Xeyes watches what you do and reports to the Boss.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xeyes
%{_mandir}/man1/xeyes.1%{?ext_man}

%changelog
* Fri Jul 14 2023 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.3.0
  * This release adds a -biblicallyAccurate option for extra
    amusement.
* Thu Aug 11 2022 Dirk Müller <dmueller@suse.com>
- modernize spec-file (move license to %%%%licensedir)
* Mon Aug  2 2021 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.2.0
  * This release of xeyes adds support for using the Present and
    Xinput2 extensions so that your X server is even smoother when
    making eyes at you.
* Wed Apr  4 2018 sndirsch@suse.com
- Update to version 1.1.2
  * Mark usage as noreturn, as suggested by -Wmissing-noreturn
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
  * config: move man pages into their own directory
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xeyes from xorg-x11. Initial version: 1.1.1.
